import java.io.*;
import Text;
class H2A3
{
  public static void main(String args[]) throws IOException
  {
  double faktoriyel=1;
  double x;
  double us=1;
  double exponent=1;
  DataInputStream cin=new DataInputStream(System.in);
  System.out.println("Bir sayi giriniz:");
  x=Text.readDouble(cin);
  for(double sayi=1;sayi<=200;sayi++)
  {
  faktoriyel*=sayi;
  us*=x;
  exponent+=us/faktoriyel;
  }
  System.out.println("exp("+x+") = "+exponent);
  System.out.println("gercek exp("+x+") = "+Math.exp(x));
  }
}
